.btn{
    background: none;position: relative;overflow: hidden;top: 0;z-index: 10; border: 1px solid $color-none; 
    padding: 0 10px; min-width: 120px; height: 50px; line-height: 48px; font-size: 24px; font-weight: bold;
	@include border-radius(0px);
    &.fluid{min-width: inherit;width: 100%;position: relative;}
    &:focus{ @include box-shadow(none);}
    &:before{
        content: "";
        position: absolute;
        z-index: -1;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        border-radius: 5px;
        transform: scaleX(0);
        transform-origin: 50%;
        transition-property: transform;
        transition-duration: 0.3s;
        transition-timing-function: ease-out;   
    }
    &:hover:before{
        transform: scaleX(1);
    }
}

.btn-primary{
    color: $color-light; background-color: $color-primary; border-color: $color-primary;
    &:before{background-color: $color-light;}
    &:hover,&:active:hover, &.active:hover, &:active:focus,&.actitve:focus,&:active.focus,&.active.focus,&:focus:hover,
    &.focus:hover{color: $color-primary; background-color: $color-light; border-color: $color-primary; }
    &.disabled,&.disabled:hover{color: $color-light; background-color: $color-primary; border-color: $color-primary; opacity: 0.5;}
}
.btn-secondary{
    color: $color-primary; background-color: $color-light; border-color: $color-primary;
    &:before{background-color: $color-primary;}
    &:hover,&:active:hover, &.active:hover, &:active:focus,&.actitve:focus,&:active.focus,&.active.focus,&:focus:hover,
    &.focus:hover{color: $color-light; background-color: $color-primary; border-color: $color-primary; }
    &.disabled,&.disabled:hover{color: $color-light; background-color: $color-secondary; border-color: $color-secondary; opacity: 0.5;}
}
.btn-light{
    color: $color-primary; background-color: $color-light; border-color: $color-light;
    &:before{background-color: $color-primary;}
    &:hover,&:active:hover, &.active:hover, &:active:focus,&.actitve:focus,&:active.focus,&.active.focus,&:focus:hover,
    &.focus:hover{color: $color-light; background-color: $color-primary; border-color: $color-primary; }
    &.disabled,&.disabled:hover{color: $color-light; background-color: $color-secondary; border-color: $color-secondary; opacity: 0.5;}
}

.btn-round-5{border-radius: 5px;}

.btn-large{height: 50px; line-height: 50px; font-weight: 400; min-width: 250px;}
.btn-medium{height: 40px; line-height: 40px; font-weight: 400;}
